package com.zioinfo.cms.menu.mapper;

import com.zioinfo.cms.menu.CmsMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MenuMapper {
    List<CmsMenu> findAll(@Param("menuType") String menuType);
    CmsMenu findById(@Param("id") Long id);
    int insert(CmsMenu m);
    int update(CmsMenu m);
    int delete(@Param("id") Long id);
    int countChildren(@Param("parentId") Long parentId);
}
